-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at: http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.

local lu = require 'luaunit'
local event_mgmt = require 'event.event_mgmt'

TEST_event_mgmt = {}

function TEST_event_mgmt.setupClass()
    event_mgmt.add_event = function (_, _)
        return true
    end
    event_mgmt.update_alarm_msg = function (_, _, _, _)
    end
end

function TEST_event_mgmt.test_event()
    local ret = event_mgmt:check_oam_err_pkt_cnt_alarm(1, '', 1)
    lu.assertIsTrue(ret)
    ret = event_mgmt:check_oam_lost_link_state_alarm(1, '', 2)
    lu.assertIsTrue(ret)
end